<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_design_topic">
    <sys_cb_design_topic action="INSERT_OR_UPDATE">
        <compiled_topic display_value="Reset Password">859370d12f1b4110f98855f62799b6c1</compiled_topic>
        <design_definition>{"type":"FlowTopic","triggers":[{"type":"Trigger","name":"4294d808e7d44bc08599f0e24d416a4f","triggerType":"request","applicability":{"type":"Applicability","mode":"script","value":"true"},"id":"4294d808e7d44bc08599f0e24d416a4f"}],"goals":[{"name":"primary","trigger_id":"4294d808e7d44bc08599f0e24d416a4f","nodes":[{"type":"StartGoal","goal_id":"primary","greeting_msg":{"type":"String","mode":"string","value":""},"id":"e00804821c1d475b93145b3e9db99727","name":"Start"},{"type":"TerminateGoal","goal_id":"primary","confirmation_msg":{"type":"String","mode":"string","value":""},"id":"00500f167d654fe7a672cc0a254b85f9","name":"End"},{"type":"ReferenceChoiceInputPrompt","mode":"external","id":"75418fc612ca4b82ae878b75ed19f8db","name":"Change Password Process Choice","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"variable_id":"87cd5c0d1163449987613252fcc95a53","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Which password would you like to change?\", vaContext.getRequesterLang())"},"skippable":{"type":"Applicability","mode":"script","value":"false"},"nlu_entity_binding":{"type":"NLUEntityBinding","allow_text_input":false,"use_confirmation_prompt":true},"expression_mode":"script","script":"(function execute() {\n    // Populate change password processes for logged in user\n    return JSON.parse(vaVars.pwd_change_processes);  \n})()\n","metadataScript":"","cardName":"","cardFields":[],"no_options_found_message":{"type":"String","mode":"script","value":"(function execute() {\n     return '';\n})()\n"},"condition":{"type":"Condition","mode":"external_script","value":"(function execute() {\n    // Populate change password processes for logged in user\n    return JSON.parse(vaVars.pwd_change_processes);  \n})()\n"}},{"type":"Decision","name":"Check Password Validation Result","branches":[{"type":"Branch","label":"Password Is Valid","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* \n    */\n    return vaInputs.pwd_is_valid.toString() == \"true\" ? true: false;\n})()\n"},"id":"61eb46425f3b4c6b981bd4708d356b49","name":"Password Is Valid"},{"type":"Branch","label":"Password Is Invalid","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* If password are not equal retry attempts exceeded\n    */\n    return vaInputs.pwd_is_valid.toString() == \"false\" ? true: false;\n})()\n"},"id":"4b6becda1e6b4c0db8a95c4f8c652589","name":"Password Is Invalid"}],"id":"44845e96d8bc439293981b41449c4fb2","goal_id":"primary"},{"type":"Decision","name":"Check Change Password Action Result","branches":[{"type":"Branch","label":"Change Password Success","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* Process Result\n    */\n    return vaInputs.pwd_reset_status.toString() == \"Success\" ? true : false;\n})()\n"},"id":"1afa24c5795a42bb923eb1b90a70a025","name":"Change Password Success"},{"type":"Branch","label":"Change Password Failed","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* Process failed result\n    */\n    return vaInputs.pwd_reset_status.toString() != \"Success\" ? true : false;\n})()\n"},"id":"c033aa58a1de46869bac857aa7f594cc","name":"Change Password Failed"}],"id":"98427ab4ccef4feeaff6bd98a9266072","goal_id":"primary"},{"type":"OutputPrompt","value":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Congrats, you have a new password!\", vaContext.getRequesterLang())"},"id":"301ccbec74a649058c79f5fe43c1ef57","name":"Show Change Password Success Message","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"OutputPrompt","value":{"type":"String","mode":"script","value":"(function execute() {\n    /* \n    */\n    return vaInputs.pwd_reset_error_message;\n})()\n"},"id":"a25c5db9c80e4d998765c44bc08e73e3","name":"Show Password Validation Message","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"OutputPrompt","value":{"type":"String","mode":"script","value":"(function execute() {\n    /* Populate password rule hint.\n    */\n    var ruleHint = new global.PasswordResetScopedUtil().getPasswordRuleHint(vaVars.pwd_change_selected_process_id.toString());\n    return gs.getMessage(\"Make sure your password meets these requirements: \\n {0}\", ruleHint);\n})()\n"},"id":"33ac9884bb704e0fafdea27fbce02f78","name":"Show Password Rule Hint","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"ScriptedAction","script":"(function execute() {\n    /* Populate change password processes for logged in user\n    */ \n    var options = [];\n    var SERVICE_NOW_CRED_STORE_TYPE = 'e611433fbf020100710071a7bf073921';\n    var MAX_RESET_ATTEMPT_PROPERTY = 'password_reset.request.max_attempt';\n    var processIds = new global.PasswordResetScopedUtil().getChangePasswordProcessIds(gs.getUserID(), true);\n    for (var i = 0; i &lt; processIds.length; i++) {\n        var processId = processIds[i];\n        var process =  new global.PasswordResetScopedUtil().getProcessDetails(processId);\n        if (process != undefined \n        &amp;&amp; new global.PasswordResetScopedUtil().isChangePasswordProcess(processId)\n        &amp;&amp; new global.PasswordResetScopedUtil().getCredentialStoreType(processId) == SERVICE_NOW_CRED_STORE_TYPE) {\n            options.push(process);\n        }\n    }\n    vaVars.pwd_change_processes = JSON.stringify(options);\n    vaVars.pwd_change_attempts = 0;\n    vaVars.pwd_change_max_attempts = gs.getProperty(MAX_RESET_ATTEMPT_PROPERTY,3);\n})()\n","id":"0aac983d19d24b5f986f0dd49b6ab7dc","name":"Populate Change Password Process","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return true;\n})()\n"}},{"type":"Decision","name":"Check Change Password Process Count","branches":[{"type":"Branch","label":"Multi Process","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* If more than one change password processes are configured for user\n    */\n    var processes = JSON.parse(vaVars.pwd_change_processes);\n    return processes.length &gt; 1 ? true : false;\n})()\n"},"id":"512b239434a5402381d1cd7fa5e62849","name":"Multi Process"},{"type":"Branch","label":"Process Not Configured","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* If change password process is not configured for user.\n    */\n    var processes = JSON.parse(vaVars.pwd_change_processes);\n    return processes.length == 0 ?  true : false;\n})()\n"},"id":"aeedf770c3eb42f598ea8700fd976e5d","name":"Process Not Configured"},{"type":"Branch","label":"Single Process","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    /* Check number of change password process entitled for user, if single process exists,\n     then directly head for authentication step.\n    */\n    var processes = JSON.parse(vaVars.pwd_change_processes);\n    return processes.length == 1 ? true : false;\n})()\n"},"id":"c2dcc63d9b4d4be59ff92fb6da4de5d4","name":"Single Process"}],"id":"e54089faec5144b1be1dbf793312d3bf","goal_id":"primary"},{"type":"OutputPrompt","value":{"type":"String","mode":"script","value":"(function execute() {\n    /* If Single change password process is configured, initialize default selection.\n    */\n    var process = JSON.parse(vaVars.pwd_change_processes);\n    vaVars.pwd_change_selected_process_id = process[0].value;\n    return gs.getMessage(\"OK, you're changing the password for  {0}\", process[0].label);\n})()\n"},"id":"296b066b384e4467987e486acef8ff8e","name":"Show Default Process Selection","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"ScriptedAction","script":"(function execute() {\n    /* Initialize the chage password process selection\n    */\n    vaVars.pwd_change_selected_process_id = vaInputs.change_password_process_choice.toString();\n})()\n","id":"44eaa230d56549ff81b857bb703e2f2c","name":"Set User Selected Process ","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"OutputPrompt","value":{"type":"String","mode":"script","value":"(function execute() {\n    /* Set error message\n     */\n    function processMessage() {\n        vaVars.pwd_change_attempts = parseInt(vaVars.pwd_change_attempts) + 1;\n        if (vaInputs.authenticated != undefined &amp;&amp; vaVars.pwd_change_is_user_authenticated == 'False') {\n            if (parseInt(vaVars.pwd_change_attempts) == parseInt(vaVars.pwd_change_max_attempts))\n\t\t\t\tvaVars.pwd_change_error_message = gs.getMessage(\"OK, that still doesn't match, and since I need it to update your password, I can't help with this.\");\n            else\n                vaVars.pwd_change_error_message = gs.getMessage(\"That doesn’t match the one on file for you. Could you try typing it in again?\");\n            return;\n        }\n\n        if (vaVars.pwd_change_request_status != undefined &amp;&amp; vaVars.pwd_change_request_status.toString() == 'block') {\n            vaVars.pwd_change_error_message = gs.getMessage(\"I wasn't able to change your password for you because you've either already changed it recently or reached the limit on update attempts.\");\n            return;\n        }\n    }\n    processMessage();\n\n    return vaVars.pwd_change_error_message;\n})()"},"id":"c3d3214c892c4c90a9a8cef867187ef9","name":"Show Change Password Failed Message","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"FDIHPasswordInvocationDto","password_input_param_name":"password","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"What’s your current password?\", vaContext.getRequesterLang())"},"confirmation_message":{"type":"String","mode":"string","value":""},"non_secure_channel_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"This action is not supported on this channel.\", vaContext.getRequesterLang())"},"id":"13a3fe0ebbc04eb49b988d2a4b560754","name":"Authenticate","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"sys_id":"a926279273eb2300d49c2ea3c4f6a7da","scope":"61a9cb3ddb162300314873568c9619bf","kind":"action","mode":"sync","inputs":[{"supported_input_modes":[],"name":"user","type":"script","order":0,"required":true,"value":{"type":"String","mode":"script","value":"(function execute() {\n    var gr = new GlideRecord('sys_user');\n    gr.get(gs.getUserID());\n    return gr;\n})()\n"}},{"supported_input_modes":[],"name":"password","order":0,"required":true,"value":{"type":"String","mode":"script","value":"(function execute() {return vaInputs.___32ca2313c13210106c800e38df571b00___input_6fc3b4d1711b411039ad7e565b77030c__.toString();})()"}}],"outputs":[{"name":"authenticated","order":0,"topicVariableName":"authenticated"},{"name":"status","order":0,"topicVariableName":"status"},{"name":"error_message","order":0,"topicVariableName":"error_message"},{"name":"__action_status__","order":0,"topicVariableName":"action_status"},{"name":"__dont_treat_as_error__","order":0,"topicVariableName":"don_t_treat_as_error"}],"metadata":{"runAs":"session_user"}},{"type":"Decision","name":"Decision","branches":[{"type":"Branch","label":"Not Authenticated","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.pwd_change_is_user_authenticated == 'False';\n})()"},"id":"fc3feddbf36a4ba6ba78fdd25efabc94","name":"Not Authenticated"},{"type":"Branch","label":"Authenticated","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.pwd_change_is_user_authenticated == 'True';\n})()"},"id":"50fc2862bcc64b6f902b7ebcf841068b","name":"Authenticated"}],"id":"d2ff9ff5c9364727a5e40758e1008db0","goal_id":"primary"},{"type":"FDIHPasswordInvocationDto","password_input_param_name":"new_password","message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"OK, what do you want your new password to be?\", vaContext.getRequesterLang())"},"confirmation_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"All right, now type it in one more time, so I’m sure we have it right.\", vaContext.getRequesterLang())"},"non_secure_channel_message":{"type":"String","mode":"string","value":"gs.getMessageLang(\"This action is not supported on this channel.\", vaContext.getRequesterLang())"},"id":"b9f817b273ce4c16baf21f4cf040f375","name":"Raset Password","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"sys_id":"89f3b4c3c71310100a9b5d83c7c260cb","scope":"b97c4977c70310100a9b5d83c7c260af","kind":"subflow","mode":"sync","inputs":[{"supported_input_modes":[],"name":"password_reset_request_id","type":"script","order":0,"required":true,"value":{"type":"String","mode":"script","value":"(function execute() {\n    return vaVars.pwd_change_request_id.toString();\n})()\n"}},{"supported_input_modes":[],"name":"new_password","order":0,"required":true,"value":{"type":"String","mode":"script","value":"(function execute() {return vaInputs.___32ca2313c13210106c800e38df571b00___input_d7c374d14d1b41106f3922a9f9d540f1__.toString();})()"}},{"supported_input_modes":[],"name":"password_reset_process_id","type":"script","order":0,"required":true,"value":{"type":"String","mode":"script","value":"(function execute() {\n    return vaVars.pwd_change_selected_process_id.toString();\n})()\n"}}],"outputs":[{"name":"pwd_is_valid","order":0,"topicVariableName":"pwd_is_valid"},{"name":"pwd_reset_status","order":0,"topicVariableName":"pwd_reset_status"},{"name":"pwd_reset_error_message","order":0,"topicVariableName":"pwd_reset_error_message"}]},{"type":"ScriptedAction","script":"(function execute() {\n    var result = new global.PasswordResetScopedUtil().createChangePasswordRequest(gs.getUserID(), vaVars.pwd_change_selected_process_id.toString());\n    vaVars.pwd_change_request_id = result.requestId;\n    vaVars.pwd_change_request_status = result.status;\n})()\n","id":"b8100f1fef5c4c24ad20029ab69cc3d6","name":"Create Password Reset Request","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Checked If User Is Blocked","branches":[{"type":"Branch","label":"Not Blocked","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.pwd_change_request_status.toString() == 'success';\n})()\n"},"id":"66e1d1820ddf41058066a670e21a6acc","name":"Not Blocked"},{"type":"Branch","label":"Blocked","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.pwd_change_request_status.toString() == 'block';\n})()\n"},"id":"37ce10786f3e4b41bcd790a7481480b3","name":"Blocked"}],"id":"9716ccfe3c4441999c84d24c1c577c0d","goal_id":"primary"},{"type":"ScriptedAction","script":"(function execute() {\n    vaVars.pwd_change_error_message = vaInputs.pwd_reset_error_message;\n})()\n","id":"115ac97355ac41f6aaf0c5c6097092c8","name":"Set Error Message","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Does Channel Support Password Field","branches":[{"type":"Branch","label":"Channel Does Not Support Password Field","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    var PROP_VA_PASSWORD_SUPPORTED_CHANNELS = \"sn_pwdreset_va.supported_channels\";\n    var SPLIT_CHAR = \",\";\n    return gs.getProperty(PROP_VA_PASSWORD_SUPPORTED_CHANNELS).split(SPLIT_CHAR).indexOf(vaContext.deviceType) &lt; 0;\n})()\n"},"id":"bb833a9519d948e89313d28fb4565489","name":"Channel Does Not Support Password Field"},{"type":"Branch","label":"Channel Supports Password Field","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    var PROP_VA_PASSWORD_SUPPORTED_CHANNELS = \"sn_pwdreset_va.supported_channels\";\n    var SPLIT_CHAR = \",\";\n    return gs.getProperty(PROP_VA_PASSWORD_SUPPORTED_CHANNELS).split(SPLIT_CHAR).indexOf(vaContext.deviceType) &gt; -1;\n})()\n"},"id":"f2202ae9325642728dd93e995a8ebf3d","name":"Channel Supports Password Field"}],"id":"aedaa1ade0b34a8999eda8f5418752e4","goal_id":"primary"},{"type":"LinkOutputPrompt","header":{"type":"String","mode":"string","value":"gs.getMessageLang(\"I'm not able to change your password.\", vaContext.getRequesterLang())"},"label":{"type":"String","mode":"string","value":"gs.getMessageLang(\"Click here to change password.\", vaContext.getRequesterLang())"},"url":{"type":"String","mode":"script","value":"(function execute() {\n    return gs.getProperty('glide.servlet.uri') + 'nav_to.do?uri=$pwd_change.do';\n})()\n"},"link_type":"single","multi_link_script":"","id":"42650dd36d78409287b3589d6ddf7850","name":"Change Password Link","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"ScriptedAction","script":"(function execute() {\n    var authenticated = vaInputs.authenticated.toString();\n    if (!(authenticated == 'True' || authenticated == 'False')) {\n        authenticated = JSON.parse(authenticated).value;  \n    }\n    vaVars.pwd_change_is_user_authenticated = authenticated;\n})()\n","id":"2eae032a41c447a2b64bf34cf4f18738","name":"Transform Authenticate Output","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Check Max Attempts","branches":[{"type":"Branch","label":"Retry","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return parseInt(vaVars.pwd_change_attempts) &lt; parseInt(vaVars.pwd_change_max_attempts);\n})()\n"},"id":"bbdeb15dd4a546f2beef488438323fba","name":"Retry"},{"type":"Branch","label":"Max Attempts Reached","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return parseInt(vaVars.pwd_change_attempts) == parseInt(vaVars.pwd_change_max_attempts);;\n})()\n"},"id":"6f4a9e0a7cb84786b868a9a013d4946b","name":"Max Attempts Reached"}],"id":"7c4fcf68d8e54fa9b4c9a4de5b6c72a2","goal_id":"primary"},{"type":"LibraryCall","library_topic_name":"Deflection","library_topic_id":"7fb4ca055303201033cdddeeff7b12b3","parameter-mappings":[{"parameter-name":"deflection_configuration","value":{"type":"String","mode":"string","value":"5292005253213010000dddeeff7b126c"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_configuration"}},{"parameter-name":"deflection_pattern","value":{"type":"String","mode":"string","value":"0273885253213010000dddeeff7b1210"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_pattern"}},{"parameter-name":"activity_table","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"activity_ids","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}}],"return-value-mappings":[],"id":"ae436eb8d01f44d383a2c285f211f7c5","name":"Deflection: Password Change Successful","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"LibraryCall","library_topic_name":"Deflection","library_topic_id":"7fb4ca055303201033cdddeeff7b12b3","parameter-mappings":[{"parameter-name":"deflection_configuration","value":{"type":"String","mode":"string","value":"5292005253213010000dddeeff7b126c"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_configuration"}},{"parameter-name":"deflection_pattern","value":{"type":"String","mode":"string","value":"9ee3409253213010000dddeeff7b123b"},"metadata":{"type":"Reference","list":false,"items":[],"use_items":false,"table":"ssa_deflection_pattern"}},{"parameter-name":"activity_table","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}},{"parameter-name":"activity_ids","value":{"type":"String","mode":"string","value":""},"metadata":{"type":"String","list":false,"items":[],"use_items":false}}],"return-value-mappings":[],"id":"227764c1bf1548048e9589e5c8babd4c","name":"No Deflection","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}}],"edges":[{"type":"Edge","source_node_id":"42650dd36d78409287b3589d6ddf7850","target_node_id":"ae436eb8d01f44d383a2c285f211f7c5","id":"28654a0590144b599a4e156305f3e7e5"},{"type":"Edge","source_node_id":"aedaa1ade0b34a8999eda8f5418752e4","target_node_id":"42650dd36d78409287b3589d6ddf7850","branch_id":"bb833a9519d948e89313d28fb4565489","id":"923ebae0d73946e4a6052a548b238d6d","name":"bb833a9519d948e89313d28fb4565489"},{"type":"Edge","source_node_id":"44eaa230d56549ff81b857bb703e2f2c","target_node_id":"13a3fe0ebbc04eb49b988d2a4b560754","id":"c1049081514d48d5ae3ee0d6530f03bc"},{"type":"Edge","source_node_id":"33ac9884bb704e0fafdea27fbce02f78","target_node_id":"b9f817b273ce4c16baf21f4cf040f375","id":"9454be7e1f784fd8b7715d85dabaca25"},{"type":"Edge","source_node_id":"44845e96d8bc439293981b41449c4fb2","target_node_id":"98427ab4ccef4feeaff6bd98a9266072","branch_id":"61eb46425f3b4c6b981bd4708d356b49","id":"a654b0d73b4e47a3a249fb6c7739d297","name":"61eb46425f3b4c6b981bd4708d356b49"},{"type":"Edge","source_node_id":"98427ab4ccef4feeaff6bd98a9266072","target_node_id":"301ccbec74a649058c79f5fe43c1ef57","branch_id":"1afa24c5795a42bb923eb1b90a70a025","id":"cb49728555c5489188ea2f6464fc779c","name":"1afa24c5795a42bb923eb1b90a70a025"},{"type":"Edge","source_node_id":"44845e96d8bc439293981b41449c4fb2","target_node_id":"a25c5db9c80e4d998765c44bc08e73e3","branch_id":"4b6becda1e6b4c0db8a95c4f8c652589","id":"fe508fa2e5ed487c8c142417a6ea8116","name":"4b6becda1e6b4c0db8a95c4f8c652589"},{"type":"Edge","source_node_id":"a25c5db9c80e4d998765c44bc08e73e3","target_node_id":"b9f817b273ce4c16baf21f4cf040f375","id":"b4b0bd368e1e4470a2969f9d440238ee"},{"type":"Edge","source_node_id":"0aac983d19d24b5f986f0dd49b6ab7dc","target_node_id":"e54089faec5144b1be1dbf793312d3bf","id":"35a88dac5b184d67ac571567cb681a25"},{"type":"Edge","source_node_id":"e54089faec5144b1be1dbf793312d3bf","target_node_id":"75418fc612ca4b82ae878b75ed19f8db","branch_id":"512b239434a5402381d1cd7fa5e62849","id":"e88bc94d90dc4b5eb8f31dcadd46dd11","name":"512b239434a5402381d1cd7fa5e62849"},{"type":"Edge","source_node_id":"e54089faec5144b1be1dbf793312d3bf","target_node_id":"42650dd36d78409287b3589d6ddf7850","branch_id":"aeedf770c3eb42f598ea8700fd976e5d","id":"e8a9b4e59a6148d38a85ec7caddde608","name":"aeedf770c3eb42f598ea8700fd976e5d"},{"type":"Edge","source_node_id":"e54089faec5144b1be1dbf793312d3bf","target_node_id":"296b066b384e4467987e486acef8ff8e","branch_id":"c2dcc63d9b4d4be59ff92fb6da4de5d4","id":"24f57864f4b7418ea532b6b9fc93643f","name":"c2dcc63d9b4d4be59ff92fb6da4de5d4"},{"type":"Edge","source_node_id":"75418fc612ca4b82ae878b75ed19f8db","target_node_id":"44eaa230d56549ff81b857bb703e2f2c","id":"9f81cf9db455447a83778ab1e54d86ef"},{"type":"Edge","source_node_id":"296b066b384e4467987e486acef8ff8e","target_node_id":"13a3fe0ebbc04eb49b988d2a4b560754","id":"e085414eba8742b68822affd4058b105"},{"type":"Edge","source_node_id":"d2ff9ff5c9364727a5e40758e1008db0","target_node_id":"c3d3214c892c4c90a9a8cef867187ef9","branch_id":"fc3feddbf36a4ba6ba78fdd25efabc94","id":"0b499d41878f4bd899279d354e0a8a70","name":"fc3feddbf36a4ba6ba78fdd25efabc94"},{"type":"Edge","source_node_id":"b9f817b273ce4c16baf21f4cf040f375","target_node_id":"44845e96d8bc439293981b41449c4fb2","id":"893bc8c032c34e61b94f080e1e479f3d"},{"type":"Edge","source_node_id":"d2ff9ff5c9364727a5e40758e1008db0","target_node_id":"b8100f1fef5c4c24ad20029ab69cc3d6","branch_id":"50fc2862bcc64b6f902b7ebcf841068b","id":"966cb914ff7e4f2486b9754dece286ad","name":"50fc2862bcc64b6f902b7ebcf841068b"},{"type":"Edge","source_node_id":"b8100f1fef5c4c24ad20029ab69cc3d6","target_node_id":"9716ccfe3c4441999c84d24c1c577c0d","id":"fdd44f988e0045d7b614c88bebcc9915"},{"type":"Edge","source_node_id":"9716ccfe3c4441999c84d24c1c577c0d","target_node_id":"33ac9884bb704e0fafdea27fbce02f78","branch_id":"66e1d1820ddf41058066a670e21a6acc","id":"3e843bceba19424c9a2e6fa2aeeafb7b","name":"66e1d1820ddf41058066a670e21a6acc"},{"type":"Edge","source_node_id":"9716ccfe3c4441999c84d24c1c577c0d","target_node_id":"c3d3214c892c4c90a9a8cef867187ef9","branch_id":"37ce10786f3e4b41bcd790a7481480b3","id":"251a8220f00b4883a2d622c27582a3ea","name":"37ce10786f3e4b41bcd790a7481480b3"},{"type":"Edge","source_node_id":"98427ab4ccef4feeaff6bd98a9266072","target_node_id":"115ac97355ac41f6aaf0c5c6097092c8","branch_id":"c033aa58a1de46869bac857aa7f594cc","id":"f4ec3c935f3e4db481c58cdda82690be","name":"c033aa58a1de46869bac857aa7f594cc"},{"type":"Edge","source_node_id":"115ac97355ac41f6aaf0c5c6097092c8","target_node_id":"c3d3214c892c4c90a9a8cef867187ef9","id":"5858b326905548c1bd4425749db74a07"},{"type":"Edge","source_node_id":"e00804821c1d475b93145b3e9db99727","target_node_id":"aedaa1ade0b34a8999eda8f5418752e4","id":"d38f948e2783446a84f80d2907a4c425"},{"type":"Edge","source_node_id":"aedaa1ade0b34a8999eda8f5418752e4","target_node_id":"0aac983d19d24b5f986f0dd49b6ab7dc","branch_id":"f2202ae9325642728dd93e995a8ebf3d","id":"e272b94d6fad4050b103242a40453be0","name":"f2202ae9325642728dd93e995a8ebf3d"},{"type":"Edge","source_node_id":"13a3fe0ebbc04eb49b988d2a4b560754","target_node_id":"2eae032a41c447a2b64bf34cf4f18738","id":"c1dd0d91d85a47d9949d7a6371eb86f4"},{"type":"Edge","source_node_id":"2eae032a41c447a2b64bf34cf4f18738","target_node_id":"d2ff9ff5c9364727a5e40758e1008db0","id":"28c3688fab53427abefc84fb721ef40a"},{"type":"Edge","source_node_id":"c3d3214c892c4c90a9a8cef867187ef9","target_node_id":"7c4fcf68d8e54fa9b4c9a4de5b6c72a2","id":"a23da76219344893b5ca35d96d59c975"},{"type":"Edge","source_node_id":"7c4fcf68d8e54fa9b4c9a4de5b6c72a2","target_node_id":"13a3fe0ebbc04eb49b988d2a4b560754","branch_id":"bbdeb15dd4a546f2beef488438323fba","id":"889030d128bb480c801b63f168d6f211","name":"bbdeb15dd4a546f2beef488438323fba"},{"type":"Edge","source_node_id":"301ccbec74a649058c79f5fe43c1ef57","target_node_id":"ae436eb8d01f44d383a2c285f211f7c5","id":"75c38f8b19d145e0a6db7992236293a4"},{"type":"Edge","source_node_id":"ae436eb8d01f44d383a2c285f211f7c5","target_node_id":"00500f167d654fe7a672cc0a254b85f9","id":"635e10bc7b834b55a622c95d02611c92"},{"type":"Edge","source_node_id":"7c4fcf68d8e54fa9b4c9a4de5b6c72a2","target_node_id":"227764c1bf1548048e9589e5c8babd4c","branch_id":"6f4a9e0a7cb84786b868a9a013d4946b","id":"305073809c804a5f97b6d59392eeba58","name":"6f4a9e0a7cb84786b868a9a013d4946b"},{"type":"Edge","source_node_id":"227764c1bf1548048e9589e5c8babd4c","target_node_id":"00500f167d654fe7a672cc0a254b85f9","id":"f2c0d0aa8bd945ab99e785c87ecc1463"}],"id":"primary"}],"script_variables":[{"type":"String","name":"pwd_change_processes","value":{"type":"String","mode":"string"},"list":false,"id":"56ad884d8d0d489f87b8a2f3a5ec2800","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_selected_process_id","value":{"type":"String","mode":"string"},"list":false,"id":"c73f3114a76f4d2297e80cf7aca6c69f","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_result","value":{"type":"String","mode":"string"},"list":false,"id":"6919308daee54e9f8b591cb186851bef","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_error_message","value":{"type":"String","mode":"string"},"list":false,"id":"3543bfe947e24ace839a86218df3e04a","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_is_valid","value":{"type":"String","mode":"string"},"list":false,"id":"eab2158d81ec4bc797c209c1885b0a61","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_request_id","value":{"type":"String","mode":"string"},"list":false,"id":"ee379bc1f87b4da091a63cb9e7b08181","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_request_status","value":{"type":"String","mode":"string"},"list":false,"id":"1760eeff079e4f6bb1e448b874a42271","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_is_user_authenticated","value":{"type":"String","mode":"string"},"list":false,"id":"2343720b9ae94baa9bd7dc1bb2887a0f","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_attempts","value":{"type":"String","mode":"string"},"list":false,"id":"7ddb5ef0fa384ed7a58bd08d2d2b7ae7","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"pwd_change_max_attempts","value":{"type":"String","mode":"string"},"list":false,"id":"0f05bbac657d44e7ad98de02a6de39b1","formatType":"text","secure":false,"sensitive":false}],"glide_variables":[{"type":"Reference","table":"sys_user","id":"b9173d6dcd7c4ee388761492845afe6f","name":"user","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"Choice","choices":[],"id":"87cd5c0d1163449987613252fcc95a53","name":"change_password_process_choice","formatType":"text","secure":false,"sensitive":false,"list":false,"table":""},{"type":"String","name":"pwd_is_valid","list":false,"id":"c7a9399b53644cd1b6290a3def9dad55","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"pwd_reset_status","list":false,"id":"e03ea09a670345be8334aaed550bea81","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"pwd_reset_error_message","list":false,"id":"9a523acbf0d5484ba0dedd1479995c70","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"authenticated","list":false,"id":"5735788c89f2416db3fadb8150168e4c","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"status","list":false,"id":"e2bd1a88bbf043dbb9c68c2e9904305f","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"error_message","list":false,"id":"88950b653d224f1ba309eaac2bac2469","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"String","name":"action_status","list":false,"id":"8e0e093edcc0415e973cd7ede764150d","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false},{"type":"True/False","id":"468b29a86c154c17b8efa0ad49134c83","name":"don_t_treat_as_error","formatType":"text","metadata":{"libraryMappingType":"output"},"secure":false,"sensitive":false,"list":false}],"applicability":{"type":"Applicability","mode":"script","value":"true"},"roles":[],"scope":"3817bc072f430110f98855f62799b62d","domain":"global","topic_type":"STANDARD","channels":[],"id":"6173f4912f1b4110f98855f62799b623","name":"Reset Password","key_phrases":["Reset Password","Password","Change","Change Password"],"nlu_provider":"","nlu_model":"","nlu_model_label":"","nlu_intent":"","nlu_intent_label":"","flexible_conversation_switching":false,"autopilot_topic":true,"design_categories":[{"name":null,"visible":false,"sysId":"b6b620012f5b0110f98855f62799b694"}],"triggerable_by_notification":false,"library":false,"nluMapping":"[]"}</design_definition>
        <design_topic_id>6173f4912f1b4110f98855f62799b623</design_topic_id>
        <name>Reset Password</name>
        <sys_class_name>sys_cb_design_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-05 10:04:54</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>5d9370d12f1b4110f98855f62799b6c5</sys_id>
        <sys_mod_count>1</sys_mod_count>
        <sys_name>FlowTopic</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_design_topic_5d9370d12f1b4110f98855f62799b6c5</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-05 10:05:53</sys_updated_on>
        <type>FlowTopic</type>
    </sys_cb_design_topic>
</record_update>
